﻿
.vd-container {
    width: 100%;
    position: relative;
    border: 1px solid #c8c6c4;
    border-radius: 4px;
    background: white;
    outline: none;
}

.vd-container:focus,
.vd-container:focus-within {
    outline: none;
    border-color: #0078d4;
}

.vd-trigger {
    margin: 1px;
    height: 25px;
    padding: 6px 10px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: white;
    font-weight: bold;
    font-size: 12px;
    color: #323130;
}

.vd-trigger span:first-child {
    flex: auto;
    width: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.vd-dropdown {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    border: 1px solid #ccc;
    background: white;
    z-index: 99999;
}

.vd-list {
    box-sizing: content-box;
    padding: 0;
    margin: 0;
}

.vd-item {
    height: 34px;
    line-height: 34px;
    padding: 0 6px;
    cursor: pointer;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.vd-item.selected {
    background: #0078d4;
    color: white;
}

.vd-footer {
    display: flex;
    gap: 6px;
    padding: 6px;
    border-top: 1px solid #ddd;
}

.placeholder {
    background: white;
    color: #323130;
}

.vd-arrow {
    width: 7px;
    height: 7px;
    border-right: 2px solid #555;
    border-bottom: 2px solid #555;
    transform: rotate(45deg);
    margin-left: 8px;
}

.vd-footer button {
    width: 100%;
    height: 30px;
    display: flex;
    border: 1px solid #c8c6c4;
    border-radius: 4px;
    justify-content: space-evenly;
    font-weight: bold;
}

.vd-disabled {
    opacity: 0.5;
    pointer-events: none;
}